#include"mkf_book.hpp"




void
test(Book&  book, const char*  format, const char*  text)
{
  book.clear();

  book.make(format);

  book.print();

  auto  nd = book.parse(text);

  printf("parsed \"%s\"\n\n",text);

  nd.print();

  printf("\n");
}


int
main(int  argc, char**  argv)
{
  Book  book;

  test(book,"def=AwithB;AwithB = 'A','B';","ABABAA");
  test(book,"def=AOrB  ;AorB   = ?*' '|*'A';","AA AA ");


  return 0;
}




